%% generate_eml_code
%    generates the embedded matlab code by calling other methods in
%    this class
% inputs:
%   object:EMLGenerator - current object
% outputs:
%   code:string - string of eml code
% Author: Colin Eles elesc@mcmaster.ca
% Organization: McMaster Centre for Software Certification
function code = generate_eml_code(object)
code = [];
code = [code object.generate_preamble];
code = [code object.generate_eml_cond(object.data.Grid1,object.data.Grid2,0)];

end



